<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page errorPage="errorpage.jsp" %>
<%@ taglib uri="/WEB-INF/tld/app.tld"    prefix="app" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ include file="i18n.inc" %>
<!-- START: NBS:046135, murtdagi, 01/02/2007, set the request encoding to UTF-8 for handling multibyte
characters in its parameter -->
<fmt:requestEncoding value="UTF-8"/> 
<!-- END: NBS:046135 -->
<app:checkLogon/>

<html:html locale="true">

<head>
<meta http-equiv=Content-Type content="text/html; charset=utf-8">

<html:base />

	<link rel=stylesheet TYPE="text/css"  href="../lwsel/style.css" title="Default">	
	<link rel=stylesheet TYPE="text/css"  href="../lwsel/master.css" title="Default">
	<script language="javascript" src="scripts/copyto.js">
	</script>

<title><fmt:message key="copyto.filter.title" bundle="${langset}"/></title>
</head>

<body onload="reloadButtonbar()" cellpadding="0" cellspacing="0" border="0" style="width: 550px;padding: 15px 15px 0px 15px;background: url( '../lwsel/images/white_scan_lines.png');">

<p>

<h3><fmt:message key="copyto.copy.message" bundle="${langset}"/></h3>

<html:form action="copyFilter.do" target="main" >

<fmt:message key="copyto.copy.public" bundle="${langset}"/>
<div style="height: 35px;width:370px;style="padding: 0px; margin:0px;top:0px;" >
<table width="350" cellspacing="0" cellpadding="1" border="0" class="TBLoutline" align="left">
		<tr>
    		<th class="TBLheader" style="width:25%;" align="left"><small><fmt:message key="copyto.copy.global" bundle="${langset}"/></small></th>
    		<td class="TBLheader" style="background-color: #ffffff; width:17%;" align="center">
      		<html:multibox name="filterForm" property="selectedglobal" >
        		global
      		</html:multibox>
    		</td>
  		</tr>
</table>
</div>

<fmt:message key="copyto.copy.users" bundle="${langset}"/>
<div style="height: 145px;width:370px;overflow-y:scroll;overflow:auto;style="padding: 0px; margin:0px;top:0px;">
<table width="350" cellspacing="0" cellpadding="1" border="0" class="TBLoutline" align="left">
  		<logic:iterate id="ele" name="user" property="users">
  		<tr>
    		<th class="TBLheader" style="width:25%;" align="left"><small><bean:write name="ele"/></small></th>
    		<td class="TBLheader" style="background-color: #ffffff; width:17%;" align="center">
      		<html:multibox name="filterForm" property="selectedusers" >
        		<bean:write name="ele"/>
      		</html:multibox>
    		</td>
  		</tr>
 		</logic:iterate>
</table>
</div>

<fmt:message key="copyto.copy.acls" bundle="${langset}"/>
<div style="height: 145px;width:370px;overflow-y:scroll;overflow:auto;style="padding: 0px; margin:0px;top:0px;">
<table width="350" cellspacing="0" cellpadding="1" border="0" class="TBLoutline" align="left">
		<logic:iterate id="acl" name="user" property="acls">
		<tr>
		<th class="TBLheader" style="width:25%;" align="left"><small><bean:write name="acl"/></small></th>
		<td class="TBLheader" style="background-color: #ffffff; width:17%;" align="center">
	      	<html:multibox name="filterForm" property="selectedacls" >
        	<bean:write name="acl"/>
      		</html:multibox>
    		</td>
  		</tr>
 		</logic:iterate>
</table>
</div>

<div style="width: 400px; padding: 5px;">
<tr>
    <td>&nbsp;</td>
    <td align="left">
      <button class="filterBuilderOkCancelButtons" onclick="parent.frames[ 'buttonbar' ].history.back();submit(); "><span class="eventDetailsButtonsText"><fmt:message key="copyto.button.ok" bundle="${langset}"/></span></button>
    </td>
    <td align="left">
      <button class="filterBuilderOkCancelButtons" onclick="document.filterForm.reset(); return false;"><span class="eventDetailsButtonsText"><fmt:message key="copyto.button.clearall" bundle="${langset}"/></span></button>
    </td>
    <td align="left"> 
      <button class="filterBuilderOkCancelButtons" onclick="parent.frames[ 'buttonbar' ].history.back(); parent.frames[ 'main' ].history.back(); "><span class="eventDetailsButtonsText"><fmt:message key="copyto.button.cancel" bundle="${langset}"/></span></button>

    </td>
    <td>&nbsp;</td>
</tr>
</div>




<html:hidden property="username" name="user" />
<html:hidden property="type" name="filterForm"/>
<input name="filtername" type="hidden" value='<%= request.getParameter("filtername") %>'>
<input name="selectedfilter" type="hidden" value="<%= request.getParameter("selectedfilter") %>">

</html:form>


</html:html>
