<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page errorPage="errorpage.jsp" %>

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/ncw-utils.tld" prefix="ncw-utils" %>
<%@ include file="i18n.inc" %>
<%
   String message = request.getParameter("message");
   if(message == null) message = "messages.filter.loaded";
%>
<c:choose>
	<c:when test="${param.message} != null">
		<c:set var="message" value="${param.message}"/>
	</c:when>
	<c:otherwise>
		<c:set var="message" value="messages.filter.loaded"/>
	</c:otherwise>
</c:choose>
<html:html locale="true">

<head>
<meta http-equiv=Content-Type content="text/html; charset=utf-8">
<html:base />

	<link rel=stylesheet TYPE="text/css"  href="../lwsel/style.css" title="Default">	
	<link rel=stylesheet TYPE="text/css"  href="../lwsel/master.css" title="Default">
	<script language="javascript" src="scripts/messages.jsp">
	</script>
	
</head> 

<body onLoad="reloadFilterList('<%=message%>');" bgcolor="#EEEEEE" style="padding: 0px; scrollbar-base-color: #CCCCCC; background-image: url(../lwsel/images/white_scan_lines.png)">

<table width="100%" cellpadding="0" border="0" cellspacing="0" class="TBLHeader" style="top: 0px;">
	<tr>
		<td align="left">
			<table cellpadding="0" border="0" cellspacing="0">
				<tr>
					<td id="messageCell" style="height: 22px;">

					   <b><fmt:message key="${message}" bundle="${langset}"/></b>

					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

<ncw-utils:brcon browser="ns">

	<!-- AEL communication applet for Netscape Firefox -->

	<%-- NBS 044197
		 Netscape and Firefox MUST load the AELPromtter applet via the <applet>
	     tag. This is necessary in order to allow them to access the 
	     applet via Javascript in the below location:
	     -> file: src\exampleconfig\docs\filterbuilder\scripts\messages.jsp
	     -> function: notifyAEL(filter)
	     -> command: doc.applets.ncw_ael_prompter.resyncFilters();   
	--%>
	
	<applet name="ncw_ael_prompter" width="1" height="1" align="baseline">
	 <PARAM NAME="code" VALUE="com.micromuse.wave.applets.ael.AELPrompter.class">
	 <PARAM NAME="archive" VALUE="/classes/ael.jar,/classes/nova.jar,/classes/jctableK.jar,/classes/oromatcher.jar,/classes/jaxen-core.jar,/classes/saxpath.jar ">
	 <PARAM NAME="codebase" VALUE="/classes/">
	 <PARAM NAME="type" VALUE="application/x-java-applet;version=1.4">
	</applet>

</ncw-utils:brcon>

<ncw-utils:brcon browser="ie">

	<!-- AEL communication applet for Internet Explorer -->	

	<%-- NBS 044197
		 Internet Explorer can load the AELPromter applet via the <object>
	     tag. This allows the user/customer to disable the use of the <applet>
	     element in IE.
	--%>

	<script src="/scripts/applets/embed.js" language="JavaScript" type="text/javascript"></script>
	<script language="JavaScript" type="text/javascript">
		var params = new Array();
		
		params["ID"] = "ncw_ael_prompter"
		params["classid"] = "clsid:8AD9C840-044E-11D1-B3E9-00805F499D93";
		params["code"] = "com.micromuse.wave.applets.ael.AELPrompter.class";
		params["java_codebase"] = "/classes/";
		params["height"] = "1";
		params["width"] = "1";
		params["plugin.url"] = "/plugin/index.html";
		params["object.codebase"] = "http://java.sun.com/products/plugin/autodl/jinstall-1_4-windows-i586.cab#Version=1,4,0,0";
		params["archive"] = "/classes/ael.jar,/classes/nova.jar,/classes/jctableK.jar,/classes/oromatcher.jar,/classes/jaxen-core.jar,/classes/saxpath.jar";
		params["codebase"] = "/classes/";
		params["type"] = "application/x-java-applet;version=1.3.1";
		params["plugin.message"] = "The Java 2 plug-in is required to run the AELPrompter applet.";
		getAppletTags(params);
	</script>
</ncw-utils:brcon>

</body>
</html:html>