<%@ page language="java" contentType="text/javacript" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>


/******************************************************************************************
 *
 */
function init()
{
	document.addMessage = addMessage;
	document.setMessage = setMessage;
}


/******************************************************************************************
 *
 */
function addMessage( messageString )
{
	var messageCell = document.getElementById( "messageCell" );
	messageCell.appendChild( document.createTextNode( messageString ) );
}

/******************************************************************************************
 *
 */
function setMessage( messageString )
{
	clearMessages();
	addMessage( messageString );
}

/******************************************************************************************
 *
 */
function clearMessages()
{
	var messageCell = document.getElementById( "messageCell" );
	var length = messageCell.childNodes.length;
	for ( var i = 0 ; i < length ; i++ )
	{
		messageCell.removeChild( messageCell.childNodes[ 0 ] );
	}

}


/******************************************************************************************
 *
 */
function reloadViewList(message) {

	if(window.parent.frames[ 'main'] == null) return;

	mainDoc = window.parent.frames[ 'main'].document.viewForm;
	listFrame = window.parent.frames[ 'sidebar' ].viewlist;

	if(mainDoc != null && listFrame != null) {

		if(message == "view.updated") {

			if(listFrame != null) {
				listFrame.viewTypeChange();
				notifyAEL();
			}

			// Display welcome page in main frame after creating a filter
			oldaction = mainDoc.elements['oldaction'].value;
			if(oldaction == "Create" || oldaction == "Copy") {

				url = "/viewbuilder/welcome.jsp";
        			frame  = window.parent.frames[ 'main' ].name;

				window.open(url, frame);
  			}
			// Close window if "Ok" button pressed
			var act = mainDoc.elements['operation'].value;
			if(act == "Ok") {
				window.parent.close(true);
			}

		}else if(message == "view.deleted") {
				
			if(mainDoc != null && listFrame != null) {

				mainDoc.action = 'welcome.jsp';
				mainDoc.target = 'main';
  				mainDoc.submit();

				// Reload viewlist
				listFrame.viewTypeChange();

				// Notify AEL
				notifyAEL();
			}
		}else {
			// set the operation to init value
			mainDoc.elements['operation'].value = "";
		}
	}
}

/******************************************************************************************
 *
 */
function notifyAEL()
{
	var doc = document;
	
	doc.applets.ncw_ael_prompter.viewsUpdated();
	while (doc.applets.ncw_ael_prompter.isExecuting())
	{
		//nasty little spin lock but was the only way could get the window
		//to stay open and let the applet finish its work when the OK button
		//was pressed.
	}

}
