<%@ page language="java" contentType="text/javascript" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<jsp:useBean id="formbean" class="com.micromuse.wave.fvbuilder.Form" />
<jsp:setProperty name="formbean" property="*"/>

// Global list mappings
var NCWT_FIELD_TYPE = "fieldType";
var NCWT_FIELD_NAME = "fieldName" ;
var NCWT_DISPLAY_NAME = "displayName";


/******************************************************************************************
 *
 */
function VB_encodeFormData()
{
	VB_encodeBaseData( baseForm.elements[ "data" ] );
	NCOWebtopEventListViewList.encode( baseForm.elements[ "data" ] , "columns" );

	NCOWebtopSortedByList.encode( baseForm.elements[ "data" ] , "sorting" );

	closeBaseData(  baseForm.elements[ "data" ] );

}

/******************************************************************************************
 *
 */
function VB_encodeBaseData( formElement )
{
	var value = formElement.value;
	var string = "view(";		

        string += ( "viewName=\"" +  baseForm.elements[ "viewName" ].value + "\"," );
	var index = baseForm.elements[ "os" ].selectedIndex;
	var obj = baseForm.elements[ "os" ].options[ index ].value;

 	string += ( "os=\"" + obj + "\" )\n{\n" );
	value += string;
	formElement.value = value;
}

/******************************************************************************************
 *
 */
function osChange() {

 eval("document.viewForm.action = '/editView.do?action=changeOs' ");
 eval("document.viewForm.target = 'main' ");	
 eval("document.viewForm.submit()");

}

/******************************************************************************************
 *
 */
function getOSList()
{
	var osArray = new Array();
	var numOfObjectServers = "<c:out value="${pageScope.formbean.numOfObjectServers}"/>";
	var i = 0;

	<c:forEach var="osname" items="${pageScope.formbean.osnames}">
	i = 0;
	osArray[ "<c:out value="${osname}"/>" ] = new Array();

		<c:set target="${pageScope.formbean}" property="os" value="${osname}"/>
		<c:forEach var="osfield" items="${pageScope.formbean.osFieldDescs}">
		osArray[ "<c:out value="${osname}"/>" ][ i ] = new Array();
		osArray[ "<c:out value="${osname}"/>" ][ i ][ NCWT_FIELD_NAME ] = "<c:out value="${osfield.fieldName}"/>";
		osArray[ "<c:out value="${osname}"/>" ][ i ][ NCWT_DISPLAY_NAME ] = "<c:out value="${osfield.displayName}"/>";
		osArray[ "<c:out value="${osname}"/>" ][ i ][ NCWT_FIELD_TYPE ] = <c:out value="${osfield.fieldType}"/>;		
		i++;
		</c:forEach>
	</c:forEach>	
	return osArray;
}