
	//******************************************************
	function NCOWebtopDisplayDataItem( fieldName , dataJustify, fieldTitle, titleJustify, columnWidth, 
						fieldType , sequenceNumber )
	{
		this._fieldName = fieldName;
		this._dataJustify = dataJustify;
		this._fieldTitle = fieldTitle;
		this._titleJustify = titleJustify;
		this._columnWidth = columnWidth;
		this._fieldType = fieldType;
		this._sequenceNumber = sequenceNumber;
	}

	//******************************************************
	function getDisplayItemText()
	{
		return this._fieldName;
	}


	//******************************************************
	function getDisplayItemValue()
	{
		return this._fieldName;
	}

	//******************************************************
	function setDisplayItemFormElement( formElement )
	{
		this._formElement = formElement;
	}

	//******************************************************
	function updateDisplayItem()
	{
		if ( this._formElement != null )
		{
			this._dataJustify = _formElement.getDataJustifyValue( );
			this._fieldTitle = _formElement.getFieldTitleValue( );
			this._titleJustify = _formElement.getTitleJustifyValue( );
			this._columnWidth = _formElement.getcolumnWidthValue( );
		}
	}

	//******************************************************
	function displayDisplayItem()
	{
		if ( _formElement != null )
		{
			this._formElement.setFieldNameValue( this._fieldName );
			this._formElement.setDataJustifyValue( this._dataJustify );
			this._formElement.setFieldTitleValue( this._fieldTitle );
			this._formElement.setTitleJustifyValue( this._titleJustify );
			this._formElement.setcolumnWidthValue( this._columnWidth );
		}
	}

	//******************************************************
	function getStringJustify( intValue )
	{
		intValue += "";
		if ( intValue == "0" )
		{
			return "left";
		}
		else if ( intValue == "1" )
		{
			return "centre";
		}
		else
		{
			return "right";
		}
	}

	//******************************************************
	function encodeDisplayItem()
	{
		var string = "visualEntry(";
		string += ( "fieldName=\"" + this._fieldName + "\"," );
		string += ( "fieldTitle=\"" + this._fieldTitle + "\"," );
		string += ( "dataJustify=\"" + this.getStringJustify( this._dataJustify ) + "\"," );
		string += ( "titleJustify=\"" + this.getStringJustify( this._titleJustify ) + "\"," );
		string += ( "columnWidth=\"" + this._columnWidth + "\"," );
		string += ( "sequenceNumber=\"" + this._sequenceNumber + "\"," );
		string += ( "fieldType=\"" + this._fieldType + "\"" );
		string += ")\n";		
		return string;
	}


	NCOWebtopDisplayDataItem.protoType.getText = getDisplayItemText;
	NCOWebtopDisplayDataItem.protoType.getValue = getDisplayItemValue;
	NCOWebtopDisplayDataItem.protoType.setFormElement = setDisplayItemFormElement;
	NCOWebtopDisplayDataItem.protoType.update = updateDisplayItem;
	NCOWebtopDisplayDataItem.protoType.display = displayDisplayItem;
	NCOWebtopDisplayDataItem.protoType.encode = encodeDisplayItem;
	NCOWebtopDisplayDataItem.protoType.getStringJustify = getStringJustify;