
	//******************************************************
	function NCOWebtopSortDataItem( fieldName , sortBy, sequenceNumber )
	{
		this._fieldName = fieldName;
		this._sortBy = sortBy;
		this._sequenceNumber = sequenceNumber;
	}


	//******************************************************
	var NCOWEBTOP_SORT_ITEM_ASC  = " [asc]";
	var NCOWEBTOP_SORT_ITEM_DESC = " [desc]";

	//******************************************************
	function getSortItemText()
	{
		if ( this._formElement._displayElements != null )
		{
			return this._fieldName + ( ( this._sortBy == 0 )? NCOWEBTOP_SORT_ITEM_ASC : NCOWEBTOP_SORT_ITEM_DESC );
		}
		else
		{
			return this._fieldName;
		}
	}

	//******************************************************
	function getSortItemValue()
	{
		return this._fieldName;
	}

	//******************************************************
	function setSortItemFormElement( formElement )
	{
		this._formElement = formElement;
	}

	//******************************************************
	function updateSortItem()
	{
		if ( this._formElement != null && this._formElement._displayElements != null )
		{
			this._sortBy = this._formElement._displayElements.getSortValue();
			this._formElement.setSelectOption( this.getOption() , this._sequenceNumber  );
			this._formElement.setSelectedIndex( this._sequenceNumber  );
		}
		return true;
	}



	//******************************************************
	function displaySortItem()
	{
		if ( this._formElement != null && this._formElement._displayElements != null )
		{
			this._formElement._displayElements.setElementValues( this._fieldName , this._sortBy );
		}
	}

	//******************************************************
	function setSortItemSequenceNumber( seqNumber )
	{
		this._sequenceNumber = seqNumber;
	}

	//******************************************************
	function getSortItemOption()
	{
		return new Option( this.getText() , this._fieldName );
	}

	//******************************************************
	function encodeSortItem()
	{
		
	}

	function sortItemToString()
	{
		var string = "NCOWebtopSortDataItem( fieldName=" + this._fieldName + ",sortBy=" + this._sortBy + ",sequenceNumber="+ this._sequenceNumber ;
		return string + " )";
	}

	//******************************************************
	function encodeSortItem()
	{
		var string = "sortColumn(";
		string += ( "fieldName=\"" + this._fieldName + "\"," );
		string += ( "sequenceNumber=" + this._sequenceNumber + "," );
		string += ( "order=\"" + this.getSortByString( this._sortBy ) + "\"" );
		string += ( ")\n");
		return string;
	}

	//******************************************************
	function getSortByString( string )
	{
		string += "";
		if ( string == "0" )
		{
			return "asc";
		}
		else
		{
			return "desc";
		}
	}

	//******************************************************
	NCOWebtopSortDataItem.prototype.display =  displaySortItem;
	NCOWebtopSortDataItem.prototype.update =  updateSortItem;
	NCOWebtopSortDataItem.prototype.setFormElement =  setSortItemFormElement;
	NCOWebtopSortDataItem.prototype.setSequenceNumber =  setSortItemSequenceNumber;
	NCOWebtopSortDataItem.prototype.getValue =  getSortItemValue;
	NCOWebtopSortDataItem.prototype.getText =  getSortItemText;
	NCOWebtopSortDataItem.prototype.getOption =  getSortItemOption;
	NCOWebtopSortDataItem.prototype.toString =  sortItemToString;
	NCOWebtopSortDataItem.prototype.encode =  encodeSortItem;
	NCOWebtopSortDataItem.prototype.getSortByString = getSortByString;
	
