<%@ page language="java" contentType="text/css" %>
<jsp:useBean id="lwselstylesheet" class="com.micromuse.ncw.beans.lwsel.LwselStyle" />
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<jsp:setProperty name="lwselstylesheet" property="*"/>
<c:forEach var="severity" items="${pageScope.lwselstylesheet.severityStyles}">
	<c:set var="ackedStyle" value="${severity.ackedStyleSheetElement}"/>
	<c:set var="unackedStyle" value="${severity.unackedStyleSheetElement}"/>

	.severity_<c:out value="${severity.severity}"/>_0
	{
		background: <c:out value="${unackedStyle.baseColorHex}"/>;
		border-color: 	<c:out value="${unackedStyle.lightColorHex}"/> 
				<c:out value="${unackedStyle.darkColorHex}"/>
				<c:out value="${unackedStyle.darkColorHex}"/>
				<c:out value="${unackedStyle.lightColorHex}"/>;

	}

	.severity_<c:out value="${severity.severity}"/>_0 td 
	{
	border-width: 1px;
	border-style: solid;
	margin: 0px;
	padding: 0px;	
	color: #000000;	
	font-size: 8pt;	
	}

	.severity_<c:out value="${severity.severity}"/>_1 td		
	{
	border-width: 1px;
	border-style: solid;
	margin: 0px;
	padding: 0px;
	color: #ffffff;
	font-size: 8pt;	
	}

	.severity_<c:out value="${severity.severity}"/>_1
	{
		background: <c:out value="${ackedStyle.baseColorHex}"/>;
		border-color: 	<c:out value="${ackedStyle.lightColorHex}"/> 
				<c:out value="${ackedStyle.darkColorHex}"/>
				<c:out value="${ackedStyle.darkColorHex}"/>
				<c:out value="${ackedStyle.lightColorHex}"/>;


	}	

</c:forEach>

