<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<jsp:useBean id="lwseldetails" class="com.micromuse.ncw.beans.lwsel.LwselEventDetails" />
<jsp:setProperty name="lwseldetails" property="*"/>


<c:set target="${pageScope.lwseldetails}" value="${pageContext.request}" property="request"/>
<c:set target="${pageScope.lwseldetails}" value="${pageContext.session}" property="session"/>
<c:set var="alertfields" value="${lwseldetails.alertFields}"/>
<c:set var="alertdetails" value="${lwseldetails.alertDetails}"/>
<c:set var="journal" value="${lwseldetails.journal}"/>

<jsp:useBean id="ncwin" class="com.micromuse.ncw.beans.NCWI18NSupport" scope="page"/>
<c:set target="${pageScope.ncwin}" value="${pageContext.session}" property="session"/>
<c:set target="${pageScope.ncwin}" value="lwsel.uiresources" property="resourcename"/>
<c:set var="bundle" value="${pageScope.ncwin.bundlename}"/>
<fmt:setBundle basename="${bundle}" var="langset" scope="request"/>


<html>
<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html;charset=UTF-8">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	<head>
	<meta http-equiv=Content-Type content="text/html; charset=utf-8">
	<title>
		<c:set var="displaySerial" value="${param.currentserial}"/>
		<fmt:message key="information.window.label2" bundle="${langset}">
			<fmt:param value="${displaySerial}"/>
		</fmt:message>
	</title>
	<script src="scripts/eventdetails.js">
	</script>
	<script src="scripts/lwsel.js">
	</script>
	<link rel=stylesheet TYPE="text/css"  href="style.css" title="Default">	
	<link rel=stylesheet TYPE="text/css"  href="master.css" title="Default">	
	</head>
<body onload="initNCWSelectedSerials();" style="background: #EEE;background: url( 'images/scan_lines.png');">
<div align="center">
<table cellpadding="0" cellspacing="0" border="0" width="500px" style="margin: 10px 0px 0px 10px;">

<form name="eventform" action="" method="GET">
<!-- event serails  -->
	<input type="hidden" name="serials" value="<c:out value="${param.serials}"/>">
<!-------------------------------------------->
</form>

<tr>
<td>
	<%@ include file="eventdetailstabs.jsp" %>
</td>
</tr>

<tr>
<td>
<table width="100%" cellpadding="0" cellspacing="0" border="0" style="padding: 15px;background: url( 'images/white_scan_lines.png');">
	<tr>
		<td valign="top" width="100%" >
			<div id="eventDetailsHoldingCell">
				<div id="contentPane_0" >
					<%@ include file="eventdetails_pane_0.jsp" %>
				</div>
				<div id="contentPane_1" style="display:none">			
					<%@ include file="eventdetails_pane_1.jsp" %>
				</div>
				<div id="contentPane_2" style="display:none">			
					<%@ include file="eventdetails_pane_2.jsp" %>
				</div>
			</div>
		</td>
	</tr>	
</table>
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
</tr>
<tr>
<td>
	<%@ include file="eventdetailsbuttons.jsp" %>
</td>
</tr>
</table>

</div>
<body>