// Browser supported in Netcool/Webtop 1.3
// - Mircosoft Internet Explorer 5.5, 6.0 (Windows)
// - Netscape Navigator 7 (UNIX, Windows)

	var IS_WIN_NT_PLATFORM = "winnt";
	var IS_WINDOWS_NT_PLATFORM = "windows nt";
	var IS_SUN_PLATFORM = "sunos";
	var IS_LINUX_PLATFORM = "linux";
	var IS_AIX_PLATFORM = "aix";
	var IS_HPUX_PLATFORM = "hpux";
	
	// NOTICE:
	// Internet Explorer 5.0 will reply as Internet Explorer 4
	var platformIdent = navigator.userAgent.toLowerCase();
	//window.alert("navigator.userAgent.toLowerCase(): " + platformIdent); 

    // Browser identification
    function IsBrowser() {		
	    this.appVersionInt = parseInt(navigator.appVersion);  
        this.isNavOrFirefox = ((platformIdent.indexOf('netscape')!=-1) || (platformIdent.indexOf('firefox')!=-1))
        this.isNav4 = ((this.appVersionInt == 4) && (platformIdent.indexOf('mozilla')!=-1) && this.isNavOrFirefox);
        this.isNav6orNewer = ((this.appVersionInt >= 5) && (platformIdent.indexOf('mozilla')!=-1) && this.isNavOrFirefox);
        this.isIE4orNewer = ((this.appVersionInt >= 4) && (platformIdent.indexOf("msie") != -1));    
    }
  	
  	// Platform identification
  	function IsPlatform() {
  	    this.isWinnt = ((platformIdent.indexOf(IS_WIN_NT_PLATFORM)!=-1) || (platformIdent.indexOf(IS_WINDOWS_NT_PLATFORM)!=-1));
        this.isAix   = (platformIdent.indexOf(IS_AIX_PLATFORM)!=-1); 
        this.isLinux = (platformIdent.indexOf(IS_LINUX_PLATFORM)!=-1);
        this.isSun   = (platformIdent.indexOf(IS_SUN_PLATFORM)!=-1);
        this.isHPux  = (platformIdent.indexOf(IS_HPUX_PLATFORM)!=-1);
  	}
  	
	function getRecommendedPlugin() {
		
		var platform = new IsPlatform();		
		var recommendation = "";
				
		if (platform.isWinnt)
		{
			recommendation = getRecommendation("Microsoft Windows", "windows/index.html" );
		}
		else if (platform.isSun)
		{
			recommendation = getRecommendation("Solaris SPARC", "solaris/index.html" );
		}
		else if (platform.isLinux)
		{
			recommendation = getRecommendation("Linux/x86", "linux/index.html" );
		}
		else if (platform.isAix)
		{
			recommendation = getRecommendation("AIX", "http://www.ibm.com" );
		}
		else if (platform.isHPux)
		{
			recommendation = getRecommendation("HPUX", "http://www.hp.com" );
		}
		else
		{
			recommendation = "Autodetection was unable to determine your platform. Please select from the list below.";
		}
	
		document.write(recommendation);
	}
	
	function getRecommendation(platform, location)
	{		
		var html ="<table border=1 cellpadding=5>";
		html +="<tr><th align=center colspan=3>";
		html += "<a href=\"" + location+ "\" class=\"body\">Download Plug-in for " + platform + "</th></tr></table>";
		
		return html;

	}
//--> end hide JavaScript
